/// <reference types="mapbox-gl" />
import * as React from 'react';
import { MapboxProps } from '../mapbox/mapbox';
import { MapRef } from '../mapbox/create-ref';
import type { CSSProperties } from 'react';
import type { MapboxMap } from '../utils/types';
export declare const MapContext: React.Context<MapboxMap>;
export declare type MapProps = MapboxProps & {
    /** Map container id */
    id?: string;
    /** Map container CSS style */
    style?: CSSProperties;
    children?: any;
    ref?: React.Ref<MapRef>;
};
declare const Map: React.ForwardRefExoticComponent<Pick<MapProps, "style" | "cursor" | "children" | "id" | "onLoad" | "onError" | "onClick" | "onContextMenu" | "onDrag" | "onDragEnd" | "onDragStart" | "onMouseDown" | "onMouseEnter" | "onMouseLeave" | "onMouseMove" | "onMouseOut" | "onMouseOver" | "onMouseUp" | "onTouchCancel" | "onTouchEnd" | "onTouchMove" | "onTouchStart" | "onWheel" | "maxZoom" | "minZoom" | "viewState" | "interactive" | "antialias" | "attributionControl" | "bearingSnap" | "boxZoom" | "clickTolerance" | "collectResourceTiming" | "crossSourceCollisions" | "cooperativeGestures" | "customAttribution" | "dragPan" | "dragRotate" | "doubleClickZoom" | "hash" | "fadeDuration" | "failIfMajorPerformanceCaveat" | "keyboard" | "locale" | "localFontFamily" | "localIdeographFontFamily" | "logoPosition" | "maxBounds" | "maxPitch" | "minPitch" | "optimizeForTerrain" | "preserveDrawingBuffer" | "pitchWithRotate" | "refreshExpiredTiles" | "renderWorldCopies" | "scrollZoom" | "trackResize" | "transformRequest" | "touchZoomRotate" | "touchPitch" | "maxTileCacheSize" | "testMode" | "onDblClick" | "onMoveStart" | "onMove" | "onMoveEnd" | "onZoomStart" | "onZoom" | "onZoomEnd" | "onRotateStart" | "onRotate" | "onRotateEnd" | "onPitchStart" | "onPitch" | "onPitchEnd" | "onBoxZoomStart" | "onBoxZoomEnd" | "onBoxZoomCancel" | "onResize" | "onRender" | "onIdle" | "onRemove" | "onData" | "onStyleData" | "onSourceData" | keyof import("../utils/types").ViewState | "mapboxAccessToken" | "initialViewState" | "gl" | "mapStyle" | "styleDiffing" | "interactiveLayerIds" | "projection"> & React.RefAttributes<MapRef>>;
export default Map;
