/// <reference types="mapbox-gl" />
import * as React from 'react';
import type { MarkerDragEvent, MarkerOptions, MapboxPopup } from '../utils/types';
export declare type MarkerProps = Omit<MarkerOptions, 'element'> & {
    longitude: number;
    latitude: number;
    popup?: MapboxPopup;
    onDragStart?: (e: MarkerDragEvent) => void;
    onDrag?: (e: MarkerDragEvent) => void;
    onDragEnd?: (e: MarkerDragEvent) => void;
    children?: React.ReactNode;
};
declare function Marker(props: MarkerProps): any;
declare namespace Marker {
    var defaultProps: Partial<MarkerProps>;
}
declare const _default: React.MemoExoticComponent<typeof Marker>;
export default _default;
